"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const interface_1 = require("../interface");
const util_1 = require("../util/");
const path_1 = require("path");
exports.default = (appInfo) => {
    var _a;
    const isDevelopment = (0, util_1.isDevelopmentEnvironment)((0, util_1.getCurrentEnvironment)());
    const logRoot = (_a = process.env[interface_1.MIDWAY_LOGGER_WRITEABLE_DIR]) !== null && _a !== void 0 ? _a : appInfo.root;
    return {
        asyncContextManager: {
            enable: false,
        },
        midwayLogger: {
            default: {
                dir: (0, path_1.join)(logRoot, 'logs', appInfo.name),
                level: isDevelopment ? 'info' : 'warn',
                consoleLevel: isDevelopment ? 'info' : 'warn',
                auditFileDir: '.audit',
            },
            clients: {
                coreLogger: {
                    fileLogName: 'midway-core.log',
                },
                appLogger: {
                    fileLogName: 'midway-app.log',
                    aliasName: 'logger',
                },
            },
        },
        debug: {
            recordConfigMergeOrder: isDevelopment,
        },
    };
};
//# sourceMappingURL=config.default.js.map